org.eclnt.jsfserver.elements.componentnodes

## Class ROWWORKPLACEFUNCTIONTREENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROWWORKPLACEFUNCTIONTREENode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROWWORKPLACEFUNCTIONTREENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWWORKPLACEFUNCTIONTREENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWWORKPLACEFUNCTIONTREENode` | `bindBackground(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindBordercolor(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindBorderheight(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindBorderwidth(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindComment(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindForeground(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindGridstylevariant(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindObjectbinding(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindScrollanimationtype(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindScrollbartype(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindSingleclickexecute(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindTreenodebgpaint(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindTreenodefont(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindTreenodeimage(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindTreenodelevelwidth(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindTreenoderowheight(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `bindTreenodestylevariant(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setBackground(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setBgpaint(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setBordercolor(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setBorderheight(int value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setBorderheight(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setBorderwidth(int value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setBorderwidth(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setComment(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setConfiginfo(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setForeground(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setGridstylevariant(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setId(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setObjectbinding(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setRendered(boolean value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setRendered(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setScrollanimationtype(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setScrollbartype(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setSingleclickexecute(boolean value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setSingleclickexecute(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setStylevariant(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setTreenodebgpaint(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setTreenodefont(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setTreenodeimage(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setTreenodelevelwidth(int value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setTreenodelevelwidth(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setTreenoderowheight(int value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setTreenoderowheight(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONTREENode` | `setTreenodestylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROWWORKPLACEFUNCTIONTREENode

          public ROWWORKPLACEFUNCTIONTREENode()

  - ### Method Detail

    - #### setId

          public ROWWORKPLACEFUNCTIONTREENode setId(java.lang.String value)

    - #### setBackground

          public ROWWORKPLACEFUNCTIONTREENode setBackground(java.lang.String value)

    - #### bindBackground

          public ROWWORKPLACEFUNCTIONTREENode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public ROWWORKPLACEFUNCTIONTREENode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public ROWWORKPLACEFUNCTIONTREENode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBordercolor

          public ROWWORKPLACEFUNCTIONTREENode setBordercolor(java.lang.String value)

    - #### bindBordercolor

          public ROWWORKPLACEFUNCTIONTREENode bindBordercolor(IDynamicContentBindingObject value)

    - #### setBorderheight

          public ROWWORKPLACEFUNCTIONTREENode setBorderheight(java.lang.String value)

    - #### bindBorderheight

          public ROWWORKPLACEFUNCTIONTREENode bindBorderheight(IDynamicContentBindingObject value)

    - #### setBorderheight

          public ROWWORKPLACEFUNCTIONTREENode setBorderheight(int value)

    - #### setBorderwidth

          public ROWWORKPLACEFUNCTIONTREENode setBorderwidth(java.lang.String value)

    - #### bindBorderwidth

          public ROWWORKPLACEFUNCTIONTREENode bindBorderwidth(IDynamicContentBindingObject value)

    - #### setBorderwidth

          public ROWWORKPLACEFUNCTIONTREENode setBorderwidth(int value)

    - #### setComment

          public ROWWORKPLACEFUNCTIONTREENode setComment(java.lang.String value)

    - #### bindComment

          public ROWWORKPLACEFUNCTIONTREENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ROWWORKPLACEFUNCTIONTREENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROWWORKPLACEFUNCTIONTREENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setForeground

          public ROWWORKPLACEFUNCTIONTREENode setForeground(java.lang.String value)

    - #### bindForeground

          public ROWWORKPLACEFUNCTIONTREENode bindForeground(IDynamicContentBindingObject value)

    - #### setGridstylevariant

          public ROWWORKPLACEFUNCTIONTREENode setGridstylevariant(java.lang.String value)

    - #### bindGridstylevariant

          public ROWWORKPLACEFUNCTIONTREENode bindGridstylevariant(IDynamicContentBindingObject value)

    - #### setObjectbinding

          public ROWWORKPLACEFUNCTIONTREENode setObjectbinding(java.lang.String value)

    - #### bindObjectbinding

          public ROWWORKPLACEFUNCTIONTREENode bindObjectbinding(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWWORKPLACEFUNCTIONTREENode setRendered(java.lang.String value)

    - #### bindRendered

          public ROWWORKPLACEFUNCTIONTREENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWWORKPLACEFUNCTIONTREENode setRendered(boolean value)

    - #### setScrollanimationtype

          public ROWWORKPLACEFUNCTIONTREENode setScrollanimationtype(java.lang.String value)

    - #### bindScrollanimationtype

          public ROWWORKPLACEFUNCTIONTREENode bindScrollanimationtype(IDynamicContentBindingObject value)

    - #### setScrollbartype

          public ROWWORKPLACEFUNCTIONTREENode setScrollbartype(java.lang.String value)

    - #### bindScrollbartype

          public ROWWORKPLACEFUNCTIONTREENode bindScrollbartype(IDynamicContentBindingObject value)

    - #### setSingleclickexecute

          public ROWWORKPLACEFUNCTIONTREENode setSingleclickexecute(java.lang.String value)

    - #### bindSingleclickexecute

          public ROWWORKPLACEFUNCTIONTREENode bindSingleclickexecute(IDynamicContentBindingObject value)

    - #### setSingleclickexecute

          public ROWWORKPLACEFUNCTIONTREENode setSingleclickexecute(boolean value)

    - #### setStylevariant

          public ROWWORKPLACEFUNCTIONTREENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ROWWORKPLACEFUNCTIONTREENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTreenodebgpaint

          public ROWWORKPLACEFUNCTIONTREENode setTreenodebgpaint(java.lang.String value)

    - #### bindTreenodebgpaint

          public ROWWORKPLACEFUNCTIONTREENode bindTreenodebgpaint(IDynamicContentBindingObject value)

    - #### setTreenodefont

          public ROWWORKPLACEFUNCTIONTREENode setTreenodefont(java.lang.String value)

    - #### bindTreenodefont

          public ROWWORKPLACEFUNCTIONTREENode bindTreenodefont(IDynamicContentBindingObject value)

    - #### setTreenodeimage

          public ROWWORKPLACEFUNCTIONTREENode setTreenodeimage(java.lang.String value)

    - #### bindTreenodeimage

          public ROWWORKPLACEFUNCTIONTREENode bindTreenodeimage(IDynamicContentBindingObject value)

    - #### setTreenodelevelwidth

          public ROWWORKPLACEFUNCTIONTREENode setTreenodelevelwidth(java.lang.String value)

    - #### bindTreenodelevelwidth

          public ROWWORKPLACEFUNCTIONTREENode bindTreenodelevelwidth(IDynamicContentBindingObject value)

    - #### setTreenodelevelwidth

          public ROWWORKPLACEFUNCTIONTREENode setTreenodelevelwidth(int value)

    - #### setTreenoderowheight

          public ROWWORKPLACEFUNCTIONTREENode setTreenoderowheight(java.lang.String value)

    - #### bindTreenoderowheight

          public ROWWORKPLACEFUNCTIONTREENode bindTreenoderowheight(IDynamicContentBindingObject value)

    - #### setTreenoderowheight

          public ROWWORKPLACEFUNCTIONTREENode setTreenoderowheight(int value)

    - #### setTreenodestylevariant

          public ROWWORKPLACEFUNCTIONTREENode setTreenodestylevariant(java.lang.String value)

    - #### bindTreenodestylevariant

          public ROWWORKPLACEFUNCTIONTREENode bindTreenodestylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.